
from dateutil.parser import parse


def eparse(value, offset=None, **kwargs):
    '''将str类型的时间转化成: 含时区的datetime
    easy parse的简称 eparse

    value: str
    offset: str '+08:00' value是东八区时间, 但字符串中没有时区信息
                '+00:00' value是UTC时间, 但字符串中没有时区信息
    如果传的是date类型, 需要自己补足时分秒
            offset=" 00:00:00+08:00"

    有时区的字符串: '2016-01-01 12:59:12 +08:00'
    无时区的字符串: '2016-01-01 12:59:12'  这种类型需要手动传递后缀'+00:00'或对应时区
    '''
    try:
        if offset:
            value += offset
        t = parse(value, **kwargs)
    except Exception as e:
        t = None
    return t
